#
# spec file for package xmlpull-api
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmlpull-api
Version:        1.1.3.1
Release:        3.46.uyuni3
License:        SUSE-Public-Domain
Summary:        XML Pull Parsing Java APIs
URL:            https://www.xmlpull.org/
Group:          Development/Libraries/Java
Source0:        xmlpull-api-1.1.3.1.tar.gz
# retrieved from JPP's xmlpull-api RPM, specifically
# http://www.jpackage.org/browser/rpm.php?jppversion=1.7&id=7952
Source1:        build.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: ant
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel
BuildArch:      noarch
Requires:       java

%description
XmlPull v1 API is a simple to use XML pull parsing API that was
designed for simplicity and very good performance both in constrained
environment such as defined by J2ME and on server side when used in
J2EE application servers.

%prep
%setup -q -c -n src
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a xmlpull-api/build/lib/xmlpull_1_1_3_1.jar %{buildroot}%{_javadir}/xmlpull_1_1_3_1.jar
ln -sf xmlpull_1_1_3_1.jar %{buildroot}%{_javadir}/xmlpull.jar

%files
%defattr(-,root,root)
%license xmlpull-api/LICENSE.txt
%{_javadir}/*

%changelog
* Wed Jun  8 2022 Julio González Gil <jgonzalez@suse.com>
- Declare the LICENSE file as license and not doc
* Wed Nov 18 2015 ro@suse.de
- initial version (1.1.3.1)
